package main

import (
	"archive/tar"
	"fmt"
	"log"
	"os"
)

func main() {
	if len(os.Args[1:]) == 0 {
		fmt.Println("please provide path to a tar archive")
		os.Exit(1)
	}
	fh, err := os.Open(os.Args[1])
	if err != nil {
		log.Fatal(err)
	}
	tr := tar.NewReader(fh)
	for {
		hdr, err := tr.Next()
		if err != nil {
			break
		}
		fmt.Printf("%#v\n", hdr)
	}
}
